// © Copyrights 2026 Praajna Pattada

#include <iostream>
#include <cstdlib>
#include <limits>

int main()
{
    unsigned int seed {};
    int a {}, b {}, c {}, d {};

    std::cout << "Please enter any random number: ";
    std::cin >> seed;

    srand(seed);
    a = rand();
    b = rand();
    c = rand();
    d = rand();

    std::cout << '\n' << "Here are four random numbers generated based on this:" << '\n' << a << '\n' << b << '\n' << c << '\n' << d << '\n';
    
    std::cin.clear();
    std::cin.ignore(std::numeric_limits<std::streamsize>::max(), '\n');
    std::cin.get();
    return 0;
}
